using Siger.Middlelayer.Utility.ExcelImport;
using System;
using System.Collections.Generic;
using System.Text;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class ImportStorageLocation: ImportBase
    {
        [ExcelColumn("仓库名称")]
        public string StorageName { get; set; }
        [ExcelColumn("储位类别")]
        public string LocationType { get; set; }
        [ExcelColumn("库位名称")]
        public string LocationName { get; set; }
        [ExcelColumn("上级库位")]
        public string ParentLocation { get; set; }
    }

    public class ImportStorageLocations
    {
        [ExcelColumn("ID")]
        public string ID { get; set; }
        [ExcelColumn("仓库名称")]
        public string StorageName { get; set; }

        public int StorageId { get; set; }

        public List<LocationModels> Locations { get; set; } = new List<LocationModels>();
    }

    public class LocationModels
    {

        public int LocationType { get; set; }

        public string Location { get; set; }
    }
}
